Package skyview.geometry.projecter

# Class Tea

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Projecter
skyview.geometry.projecter.Tea

All Implemented Interfaces:
  `Serializable`, `Component`

public class Tea extends Projecter
This class provides for the translation between coordinates and the TEA Equal Area projection.

The projection is centered at the north pole. The south pole is projected to the four corners at (+/-1, +/-1). The equator projects to the diagonals running between the points (-1,0)->(0,1), (0,1)->(1,0), (1,0)->(0,-1), (-1,0)->(0,-1). These diagonals divide the four unit squares at the center of the coordinate grid into 8 right isoceles triangles.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Tea.TeaDeproj`
Deproject from the plane back to the unit sphere

## Constructor Summary

Constructors
Constructor
Description
`Tea()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of this component.
`String`
`getName()`
Get the name of this component.
`Deprojecter`
`inverse()`
Get the inverse
`boolean`
`isInverse(Transformer obj)`
Are these two transformations, inverses of each other? This method is used to optimize a series of transformations where transformations.
`static void`
`main(String[] args)`
`boolean`
`straddle(double[][] vertices)`
Does this pixel go wrap around the standard region of the image? E.g., does it straddle the 180 deg in a Car or Ait projection?
`boolean`
`straddleable()`
Is it possible for a pixel to straddle the valid region.
`double[][][]`
`straddleComponents(double[][] vertices)`
If this is a straddling pixel, then return the straddle components
`void`
`transform(double[] unit, double[] plane)`
Convert a single point where the output vector is supplied.

### Methods inherited from class skyview.geometry.Projecter

`allValid, getInputDimension, getOutputDimension, getXTiling, getYTiling, shadowPoint, tissot, validPosition`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Tea

public Tea()

## Method Details

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.

### isInverse

public boolean isInverse(Transformer obj)
Description copied from class: `Transformer`
Are these two transformations, inverses of each other? This method is used to optimize a series of transformations where transformations.

Specified by:
  `isInverse` in class `Transformer`

### inverse

public Deprojecter inverse()
Description copied from class: `Projecter`
Get the inverse

Specified by:
  `inverse` in class `Projecter`

### transform

public void transform(double[] unit, double[] plane)
Description copied from class: `Transformer`
Convert a single point where the output vector is supplied.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `unit` - The input vector.
  `plane` - The output vector, it may be the same as the input vector if the dimensionalities are the same. All transformers are expected to work with aliased inputs and output.

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`

### straddleable

public boolean straddleable()
Description copied from class: `Projecter`
Is it possible for a pixel to straddle the valid region.

Overrides:
  `straddleable` in class `Projecter`

### straddle

public boolean straddle(double[][] vertices)
Description copied from class: `Projecter`
Does this pixel go wrap around the standard region of the image? E.g., does it straddle the 180 deg in a Car or Ait projection?

Overrides:
  `straddle` in class `Projecter`

### straddleComponents

public double[][][] straddleComponents(double[][] vertices)
Description copied from class: `Projecter`
If this is a straddling pixel, then return the straddle components

Overrides:
  `straddleComponents` in class `Projecter`